Last modified: 2014-06-11 02:55:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63755 - Remove RC_MOVE and RC_MOVE_OVER_REDIRECT rc_types
Remove RC_MOVE and RC_MOVE_OVER_REDIRECT rc_types
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
unspecified
All All
: Low minor (vote)
: 1.24.0 release
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-04-10 00:56 UTC by Aude
Modified: 2014-06-11 02:55 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Aude 2014-04-10 00:56:26 UTC
RC_MOVE and RC_MOVE_OVER_REDIRECT are obsolete, since at least 2006.

see https://www.mediawiki.org/wiki/Special:Code/MediaWiki/12550

It should be safe now to remove checks / handling of these in recent changes (formatting and api) code.
Comment 1 Krinkle 2014-06-04 03:58:26 UTC
It keeps spreading if we don't remove it. Just found it in RecentChange::parseFromRCType.

References in mediawiki-core:

includes/changes/ChangesList.php
435: if ( $rc->mAttribs['rc_type'] != RC_MOVE && $rc->mAttribs['rc_type'] != RC_MOVE_OVER_REDIRECT ) {

includes/changes/EnhancedChangesList.php
146: // @todo remove handling for RC_MOVE and RC_MOVE_OVER_REDIRECT (bug 63755)
147: if ( $type == RC_MOVE || $type == RC_MOVE_OVER_REDIRECT ) {
554: if ( $type == RC_MOVE || $type == RC_MOVE_OVER_REDIRECT ) {

includes/changes/OldChangesList.php
57: if ( $rc->mAttribs['rc_type'] == RC_MOVE || $rc->mAttribs['rc_type'] == RC_MOVE_OVER_REDIRECT ) {

includes/changes/RCCacheEntryFactory.php
101: if ( $type == RC_MOVE || $type == RC_MOVE_OVER_REDIRECT ) {
174: $logTypes = array( RC_LOG, RC_MOVE, RC_MOVE_OVER_REDIRECT );
209: $logTypes = array( RC_NEW, RC_LOG, RC_MOVE, RC_MOVE_OVER_REDIRECT );
233: $logTypes = array( RC_LOG, RC_MOVE, RC_MOVE_OVER_REDIRECT );

includes/changes/RecentChange.php
150: case RC_MOVE: // obsolete
159: case RC_MOVE_OVER_REDIRECT: // obsolete

includes/Defines.php
180:define( 'RC_MOVE', 2 ); // obsolete
182:define( 'RC_MOVE_OVER_REDIRECT', 4 ); // obsolete

Of these, the following seem actually in runnable context (though hopefully never triggered):

* ChangesList.php
* EnhancedChangesList.php
* OldChangesList.php
Comment 2 Gerrit Notification Bot 2014-06-05 01:21:03 UTC
Change 137519 had a related patch set uploaded by devunt:
Remove obsoleted RC_MOVE and RC_MOVE_OVER_REDIRECT rc_types values

https://gerrit.wikimedia.org/r/137519
Comment 3 Gerrit Notification Bot 2014-06-11 02:49:09 UTC
Change 137519 merged by jenkins-bot:
Remove obsolete RC_MOVE and RC_MOVE_OVER_REDIRECT rc types

https://gerrit.wikimedia.org/r/137519
Comment 4 JuneHyeon Bae (devunt) 2014-06-11 02:55:14 UTC
Patch successfully merged.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links